- Get template in project
List all templates in project
Create a template in project
List all templates for a specific name
Delete template by name
Delete template by name and language
Update a template in project
Lists activities on project template
Creates a comment for a template
Compare two templates
Synchronize templates for project
Get template in project
Returns a template for a project, with the specified name and language.
Security
BasicAuth and BearerAuth and OAuth2Production
The unique ID of the project. You can find this on the Sinch Dashboard.
- Production serverhttps://provisioning.api.sinch.com/v1/projects/{projectId}/whatsapp/templates/{templateName}/languages/{languageCode}
curl -i -X GET \
-u '<username>:<password>' \
'https://provisioning.api.sinch.com/v1/projects/{projectId}/whatsapp/templates/{templateName}/languages/{languageCode}?fieldMask=whatsappId&templateAnalyticsDateRange=DAY' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Template
One of:
Enum:"AUTHENTICATION""MARKETING""UTILITY""UNRECOGNIZED"
Rejection code if template is in status 'REJECTED'
Enum:"ABUSIVE_CONTENT""INCORRECT_CATEGORY""INVALID_FORMAT""NONE""SCAM""UNRECOGNIZED"
Quality score of the HSM.
Enum:"QUALITY_SCORE_GREEN""QUALITY_SCORE_RED""QUALITY_SCORE_YELLOW""QUALITY_SCORE_UNKNOWN""UNRECOGNIZED"
Object containing changes on the template. If empty the changes has been approved and applied to the template.
Response
{ "whatsappId": "string", "state": "APPROVED", "name": "string", "language": "AF", "category": "AUTHENTICATION", "rejectionCode": "ABUSIVE_CONTENT", "qualityScore": "QUALITY_SCORE_GREEN", "changes": { "status": "DRAFT", "allowCategoryChange": true, "details": { … } }, "details": { "components": [ … ], "messageSendTtlSeconds": 0 }, "analytics": [ { … } ], "isMetaGenerated": true }